Syncfusion UI controls for WPF provide various input and editor controls needed in line-of-business applications. This package contains the following controls:

## List of Controls
* [Calculator](https://www.syncfusion.com/wpf-controls/calculator?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)
* [DatePicker](https://www.syncfusion.com/wpf-controls/datepicker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)
* [Domain Updown](https://www.syncfusion.com/wpf-controls/domain-updown?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)
* [GridSplitter](https://www.syncfusion.com/wpf-controls/gridsplitter?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)
* [MaskedTextBox](https://www.syncfusion.com/wpf-controls/maskedtextbox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)
* [Range Slider](https://www.syncfusion.com/wpf-controls/range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)
* [Rating](https://www.syncfusion.com/wpf-controls/rating?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)
* [TimePicker](https://www.syncfusion.com/wpf-controls/timepicker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)
* [NumericUpdown](https://www.syncfusion.com/wpf-controls/numericupdown?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)
* [Radial Slider](https://www.syncfusion.com/wpf-controls/radial-slider?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)  

## Calculator

The WPF Calculator control provides a basic calculator interface that is useful when end users need to perform simple calculations without switching to external applications.

### Key features

* Value – The Value property retrieves the current value calculated from the calculator. This is a Read-Only property.
* Memory – The Memory property retrieves the value stored in memory.
* DefaultValue - The Default value property shows default value in the value TextBox.
* DisplayText - The DisplayText property shows watermark in the value TextBox.

## DatePicker

The WPF DatePicker control provides an intuitive, touch-friendly interface to quickly select a date. It supports different date formats and specify minimum and maximum dates to restrict date selection. It also adds support to customize the date selector appearance. In addition, it supports editing and built-in watermark text display.

### Key features

* Formatting – The Control displays the selected Date value in a various formats.
* Date Selector – The drop-down portion used for selecting the date can be customized.

## Domain Updown

The WPF Domain UpDown control is an up-down control that spins the collection of objects up or down and allows end users to choose options using spin buttons. The values can be a collection of strings or numbers.

## GridSplitter

WPF GridSplitter control is a divider that helps to split the available space into rows and columns in a grid. It supports to splits the controls horizontally or vertically with a splitter. In addition to that, it allows users to resize the grid’s column width and row height on demand. It also supports preview for resizing splitter controls as well as expanding and collapsing the view.

### Key features

* Dynamic resizing: Splits available space with movable splitter that helps resize controls on demand.
* Expand / Collapse: Supports to expand and collapse splitter controls interactively in UI.
* Orientation: Supports both horizontal and vertical orientation to split controls based on user layout.

## MaskedTextBox

The WPF MaskedTextBox control is an enhanced version of the text box that additionally restricts input to conform to a specific structure or mask.

### Key features

* Mask types - Provides different set of mask types. The types are Simple, Regular and RegEx.
* PromptChar - Provides support for setting the prompt characters manually.
* Validation - Provides support to validate the input values can be done either during each key press or when the control lost its focus.
* Value - Provides support to enter the Values and clipboard operations can be used with or without literal and prompt characters.
* Watermark - Provides support to Watermark text can be used to display an instruction or important information.
* Customization - Provides support to customize the UI of masked text box.

## Range Slider

The Range Slider control allows you select a range of values within a specified minimum and maximum limit. The range can be selected by moving the thumb control along a track. The control is intended to provide a UI to filter collection items within a range.

### Key features

* Orientation — Set the orientation of the RangeSlider either horizontally or vertically.
* SelectionRange — Select the range of values using two thumbs.
* Move the Thumb to the Tapped Position — Allow the thumb of RangeSlider to tapped position of the track.
* Styling and Appearance — The control is completely customizable in terms of the UI. Change the appearance of the control as required.
* ToolTip Support — Shows the value of the RangeSlider. It is fully customizable.
* Gestures — Provides both KeyGesture and MouseGesture.

## Rating

The WPF Rating control allows users to select rating values from a group of visual symbols like stars.

### Key features

* Precision: Options to decide the accuracy level of rating.
* Item count: Supports to determine the number of rating items to be displayed.

## TimePicker

The WPF TimePicker control provides an intuitive, touch-friendly interface to quickly select time. It supports time formatting, minimum and maximum times, nullable support, watermark text, and more. In addition, you can customize the time selector appearance.

### Key features

* Formatting – The Control displays the selected time value in a various formats.
* Time Selector – The drop-down portion used for selecting the time can be customized.

## NumericUpdown

The WPF NumericUpDown control provides a simple and intuitive interface to display and edit culture-specific double values. It supports culture-based formatting, number formatting, minimum and maximum value validation, watermark support, built-in themes, range adorner, right to left support, positive and negative colors, and more.

### Key features

* Value - Provides different set of values. The values are Minimum and Maximum value.
* Null value - Provides option to set the null value.
* Editing - Provides option to change the value by up and down and also edit the text part.
* Culture - Provides different culture support based on NumberDecimalSeparator in UpDown.
* Animation - Provides animation support for speed of the UpDown control.
* Keyboard and Mouse support - Provide option to change the value by using keyboard and mouse.
* Appearance - Provides support for several built-in skins and blendable support for customize the appearance.

## Radial Slider

The WPF Radial Slider control (circular slider) provides an intuitive interface for selecting a numeric value on a circular display. You can specify the display range and change the number of intermediate ticks on the slider that shows values.

### Key features

* Customization – Can customize outer rim, inner rim, labels, ticks, and pointer.
* Content – Can place content inside the inner rim.
* Step interval support
* Min-Max value support
* Sweep direction support
* Start-End angle support

## Related links
[Learn More about WPF UI Controls](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

[Documentation](https://help.syncfusion.com/wpf/overview?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

[Release History](https://help.syncfusion.com/wpf/release-notes/v19.3.0.55?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

[Online Demos](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

[Pricing](https://www.syncfusion.com/sales/products/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.

Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.


This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Input%20WPF-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | Toll Free](1-888-9 DOTNET


